Update a virtual account application
Update the parameters of a virtual account application in PENDING status. Only unprocessed applications can be updated.
Notes
- You can update only applications in PENDING status
- Newly uploaded files overwrite the existing files
- For files, the latest submission prevails. Resubmit all files with every submission
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
requestNo*stringApplication number
X-Channel-Provider?stringProvider identifier, such as GLDB. Defaults to GLDB if not passed
"GLDB"multipart/form-data- body
accountName?stringCompany name of the MSO customer. Length 128
currency?stringMultiple currencies are supported, separated by commas (for example, SGD,USD). Length 32
contactName?stringEmergency contact name. Length 64
contactEmail?stringEmergency contact email. Length 128
contactPhone?stringEmergency contact phone number in E.164 format (for example, +6591234567). Length 32
companyRegistrationDoc?unknownCompany registration document (for example, COI)
accountOpeningProof?unknownMSO account opening proof (for example, an account opening letter)
otherDocuments?array<unknown>Other supporting documents (for example, bank statements or identity documents)
Update succeeded. data is null.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
curl -X PUT 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests/SA0000000001' \ -F 'accountName=Example Trading Pte Ltd' \ -F 'currency=SGD,USD' \ -F 'contactName=Example Contact' \ -F 'contactEmail=contact@example.com' \ -F 'contactPhone=+6500000000' \ -F 'companyRegistrationDoc=<binary file data>' \ -F 'otherDocuments=<binary file data>'{ "code": 200, "message": "OK", "traceId": "6a3ae549-32dd-469a-a6b8-4e213c070930", "data": null}